= simple_form_for @cow do |form|

  -if @cow.errors.any?
    #errorExplanation
      %h2= "#{pluralize(@cow.errors.count, "error")} prohibited this #{Cow.name.titleize} from being saved:"
      %ul
        - @cow.errors.full_messages.each do |msg|
          %li= msg

  = form.input :ear_tag
  = form.association :stall
  = form.input :birthday, :use_era_name => true, :start_year => Time.now.year - 10
  = form.input :approval_number

  .actions
    = form.button :submit
